function [okflg]=syschck(vertst)
% function [okflg]=syschck(vertst)
%   Tests for version of interpreter.
%   vertest is any of 'mlb' 'mcm' or 'oct'
%   'mlb': MatLab
%   'mcm': MatCom
%   'oct': Octave.
%   the function returns true or false, depending on whether
%   vertest agrees with the version found by testing.
%
% (C) P. Sykacek 2003-2004

  v=lower(version);
  isMLAB=isempty(findstr(v, 'matcom'));
  isOCT=exist('octave_config_info')~=0;
  
  okflg=(strcmp('mlb', vertst) && isMLAB && ~isOCT) || ...
      (strcmp('mcm', vertst) && ~isMLAB) || ...
      (strcmp('oct', vertst) && isOCT);